Closed Bug 887739 Opened 9 years ago Closed 9 years ago

m.ofeminin.pl doesn't display correctly in Gaia browser

Categories

(Web Compatibility :: Mobile, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: efrat, Assigned: karlcow)

References

()

Details

(Whiteboard: [serversniff][country-pl][contactready] [sitewait])

User Agent: Mozilla/5.0 (Windows NT 6.2; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/27.0.1453.116 Safari/537.36

Steps to reproduce:

Browsed to "http://www.ofeminin.pl/" from Gaia browser

Tested on device:
Model: ZTE Open
OS version: 1.0.1.0-prerelease
Firmware: V1.01.00.01.019.111
Platform:18.0
Build identifier:20130522003459


Actual results:

The site uploads as a desktop site and not mobile adjusted



Expected results:

The web page should have been displayed correctly for mobile 
Displays correctly as a mobile site on Firefox for Android and Chrome for Android
There's some serverside sniffing going on. If you send a Mobile Safari UA you get a 301 (with a meta refresh and some JS just in case™):

HTTP/1.1 301 Moved Permanently
Cache-control: no-cache
Content-Length: 292
Content-Type: text/html; Charset=utf-8
Date: Tue, 17 Sep 2013 17:11:57 GMT
Expires: Mon, 16 Sep 2013 17:11:56 GMT
Location: http://m.ofeminin.pl/
Set-Cookie: ASPSESSIONIDAATTRRCS=AIGFCGEANDALGOLBEMJEINPB; path=/
Set-Cookie: AufemininLB=67174922.17920.0000; path=/
X-Powered-By: ASP.NET
cache-control: private
pragma: no-cache

<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="refresh" content="0;url=http://m.ofeminin.pl/" /><script>window.location='http://m.ofeminin.pl/';</script>
Status: UNCONFIRMED → NEW
Ever confirmed: true
Whiteboard: [serversniff][country-pl][contactready]
See Also: → 843109
French company, I have contacted them. with a huge network of sites exhibiting the same issues.
http://corporate.aufeminin.com/International
Assignee: nobody → kdubost
Status: NEW → ASSIGNED
Whiteboard: [serversniff][country-pl][contactready] → [serversniff][country-pl][contactready] [sitewait]
They have replied through email.

The user agent string for Firefox OS on mobile device ZTE is
Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

/mobi/i should do the trick. I haven't tested on Opera Mobile and Opera Mini.


GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.ofeminin.pl
User-Agent: Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 200 OK
Cache-Control: no-cache
Content-Encoding: gzip
Content-Type: text/html; Charset=utf-8
Date: Thu, 19 Sep 2013 19:23:01 GMT
Link: <http://www.aufeminin.com>; rel="alternate"; hreflang="fr"
Link: <http://www.enfemenino.com>; rel="alternate"; hreflang="es"
Link: <http://www.alfemminile.com>; rel="alternate"; hreflang="it"
Link: <http://www.gofeminin.de>; rel="alternate"; hreflang="de"
Link: <http://www.sofeminine.co.uk>; rel="alternate"; hreflang="en-GB"
Link: <http://www.ofeminin.pl>; rel="alternate"; hreflang="pl"
Link: <http://www.wewomen.com>; rel="alternate"; hreflang="en-US"
Link: <http://www.wewomen.ca>; rel="alternate"; hreflang="en-CA"
Link: <http://www.wewomen.be>; rel="alternate"; hreflang="nl-BE"
Link: <http://www.bemfeminino.com.br>; rel="alternate"; hreflang="pt"
P3P: CP="BUS CUR CONo FIN IVDo ONL OUR PHY SAMo TELo"
Set-Cookie: afpperso=tcp=ok1; expires=Sat, 16-Sep-2023 22:00:00 GMT; domain=ofeminin.pl; path=/
Set-Cookie: afperso=nn=1&geo=93%2Dca&new%5Fref=19%2F09%2F2013+21%3A23%3A01&p%5Fpe=h25&new%5Fvisit=19%2F09%2F2013+21%3A23%3A01&tcs=ok1&DomUser=%2Fpl; domain=ofeminin.pl; path=/
Set-Cookie: ASPSESSIONIDCCTRTTAT=HLHJHHKBIOBNKOLHLEEMGAIF; path=/
Set-Cookie: AufemininLB=67174922.17920.0000; path=/
Transfer-Encoding: chunked
Vary: Accept-Encoding
X-Powered-By: ASP.NET
Hello Karl,

I just fixed the issue. Can you test it ?

Thanks,

Cyrille
And  Fixed too.
Thanks Cyrille!
Status: ASSIGNED → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Blocks: 911260
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.